curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"priceTypes": [
{
"channelPriceTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"priceTypeId": "<string>",
"displayName": "<string>",
"description": "<string>",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"shippingRules": [
{
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"carrierId": "<string>",
"displayName": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customCarrierId": "<string>"
}
],
"metaData": [
{
"metaDataId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"type": "<string>",
"resource": "<string>",
"sellerId": "<string>",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdAfter": "2023-11-07T05:31:56Z",
"isImportEnabled": true
}
],
"events": [
{
"metaDataId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"type": "<string>",
"resource": "<string>",
"sellerId": "<string>",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdAfter": "2023-11-07T05:31:56Z",
"isImportEnabled": true
}
],
"supportedMarketplaces": [
{
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"iso": "<string>",
"name": "<string>",
"sort": 123
}
],
"returnSettings": {
"isReturnTrackingRequired": true,
"isReturnTrackingIdEnabled": true,
"returnShippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnWarehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnNumberRangePrefix": "<string>",
"returnNumberRangeFrom": 123,
"returnNumberRangeTo": 123,
"returnNumberRangeSuffix": "<string>",
"returnNumberRangeCurrent": 123,
"isReturnIdLimitWarningEnabled": true,
"returnIdLimitWarningCount": 123,
"returnIdLimitWarningEmail": "<string>"
}
}Delivers the detail sub-elements of a single SCX seller by its sales channel id.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Sales channel id of the SCX seller/account (composite id, ADR-69).
Response
Success.
SCX seller detail sub-elements (price types, shipping rules, metadata, supported marketplaces, return settings).
Price types assigned to this seller's channel.
Show child attributes
Show child attributes
Shipping rules assigned to this seller's channel.
Show child attributes
Show child attributes
Metadata entries for this seller (ApiModeType = Metadata/MetadataPull, no date required).
Show child attributes
Show child attributes
Event entries for this seller (ApiModeType = Event, date required).
Show child attributes
Show child attributes
Supported marketplaces for this seller's channel.
Show child attributes
Show child attributes
Return tracking settings for this seller.
Show child attributes
Show child attributes
Was this page helpful?